/***************************************************************************
 *   Copyright (C) 2006 by M.Fedotov   *
 *   anyremote@mail.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LOGGER_H
#define LOGGER_H

#include <qstring.h>

#define LOGFILE 	"/kanyremote.log"

/**
	@author M.Fedotov <anyremote@mail.ru>
*/
class logger2 {
    public:

	logger2();
	~logger2();

	void error(QString s);
	void cfg  (QString s);
	void info (QString s);
	void debug(QString s);
	void setFile(bool l, bool d);
	void block(bool b);
	void truncate(void);
    private:
	bool 		logfile;
	bool 		dbg;
	QString  	fName;
	bool 		blocked;
	void out  (char *a, QString& s, int force, int time);
};

#endif
